#!/bin/bash
#requires formatdb, blastall, local_blast_client.pl
set -e

formatdb=/usr/local/blast/bin/formatdb
blastall=/usr/local/blast/bin/blastall
local_blast_client=/home/paul/stothard_group/projects/local_blast_client/local_blast_client.pl

if [ ! -d test_output ]; then
    mkdir test_output
fi

$formatdb -i ./test_input/1216305.fasta -p F -l ./test_input/formatdb.log

perl $local_blast_client -i ./test_input/dna_queries.fasta -o ./test_output/blastn_results.txt -b blastn -d ./test_input/1216305.fasta -x 0.0000001
perl $local_blast_client -i ./test_input/protein_queries.fasta -o ./test_output/tblastn_results.txt -b tblastn -d ./test_input/1216305.fasta -x 0.0000001

perl blast_hit_features.pl -i ./test_output/blastn_results.txt -o ./test_output/blastn_results_with_features.txt -c -v
perl blast_hit_features.pl -i ./test_output/tblastn_results.txt -o ./test_output/tblastn_results_with_features.txt -c -v

#compare new output to sample output
new_output=test_output
old_output=sample_output
new_files=($( find $new_output -type f -print0 | perl -ne 'my @files = split(/\0/, $_); foreach(@files) { if (!($_ =~ m/\.svn/)) {print "$_\n";}}'))
for (( i=0; i<${#new_files[@]}; i++ ));
do
    old_file=${old_output}`echo "${new_files[$i]}" | perl -nl -e 's/^[^\/]+//;' -e 'print $_'`
    echo "Comparing ${old_file} to ${new_files[$i]}"
    set +e
    diff -u $old_file ${new_files[$i]}
    if [ $? -eq 0 ]; then
	echo "No differences found"
    fi
    set -e
done